﻿using System.Collections.Immutable;
using System.Runtime.Serialization;

namespace Models
{
    [DataContract]
    public record Recipe(
        [property: DataMember] RecipeInfo Info,
        [property: DataMember] User Owner,
        [property: DataMember] ImmutableList<Ingredient> Ingredients,
        [property: DataMember] ImmutableList<PreparationStep> Steps
    );

}